Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005387 [DCSS] Bug Report minor sometimes 2012-03-05 08:41 2017-05-23 15:15
Reporter 232 View Status public  
Assigned To advil
Priority normal Resolution done  
Status resolved   Product Branch 0.10 ancient branch
Summary 0005387: Ctrl-<Left click> reporting error messages
Description Have been playing DCSS for a couple of days now, and this issue has only recently come up.

After using a few spells to attack monsters, ctrl-<left click> instead casts what appears to be a random spell. Initially it was the 6th spell on my taskbar (Repel Missiles), which reported the following message:

(Action here, ctrl-<left click>)
_You feel protected from missiles.
key_to_command(): command 'CMD_TARGET_FIND_YOU' (1037:42) wrong for desired context
key_to_command(): command 'CMD_TARGET_UP' (163:916) wrong for desired context
key_to_command(): command 'CMD_TARGET_UP' (163:916) wrong for desired context
key_to_command(): command 'CMD_TARGET_UP' (163:916) wrong for desired context
key_to_command(): command 'CMD_MOUSE_SELECT' (1055:24) wrong for desired context

Performing it a second time will ask me to select a spell (as if I had just started up DCSS and hadn't used ctrl-<left click> to cast a spell before).

When Repel Missiles was swapped out of the 6th position for another spell, things started to go haywire, most offensive ranged spells had a chance of being cast. This included Magic Dart, Pain, Mephitic Cloud, Throw Icicle.

Have tried reinstalling DCSS, didn't help. Version.txt only says 0.10.0, no further info or hash is provided there.
Additional Information
Tags No tags attached.
Attached Files ? file icon Karos.cs [^] (504,314 bytes) 2012-03-05 08:41

- Relationships
related to 0011462new Ranged attack targeting errors 

-  Notes
(0031651)
advil (administrator)
2017-05-23 15:15

This was fixed in https://github.com/crawl/crawl/commit/cf33cab7c740, [^] but I missed this bug report at the time (which would have been a super helpful description of the problem, so very belated thanks for reporting!)

- Issue History
Date Modified Username Field Change
2012-03-05 08:41 232 New Issue
2012-03-05 08:41 232 File Added: Karos.cs
2017-05-23 15:15 advil Note Added: 0031651
2017-05-23 15:15 advil Status new => resolved
2017-05-23 15:15 advil Fixed in Branch => 0.20 development branch
2017-05-23 15:15 advil Resolution open => done
2017-05-23 15:15 advil Assigned To => advil
2018-04-28 20:55 advil Relationship added related to 0011462


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker